$(function () {

	$('#frmComprobante').form({
		keyboardShortcuts: false,
    	fields: {

		    id_local: {
		        rules: [{ type : 'empty', prompt : 'Seleccione una opción'}]
		    },
		    tipo_comprobante: {
		        rules: [{ type : 'empty', prompt : 'Seleccione una opción'}]
		    },
		    fecha1: {
		        rules: [{ type : 'empty', prompt : 'Seleccione una fecha'}]
		    },
		    fecha2: {
		        rules: [{ type : 'empty', prompt : 'Seleccione una fecha'}]
		    },
		    tipo_deuda: {
		        rules: [{ type : 'empty', prompt : 'Seleccione una opción'}]
		    },
		    id_producto: {
		        rules: [{ type : 'empty', prompt : 'Seleccione una opción'}]
		    },
    	},
    	inline : true,
    });

    $('[name="fecha1"]').on('change', function(){
		if ($('[name="fecha1"]').val() !== '' ) {
			$('#frmComprobante').form('remove prompt', ['fecha1']);
		}
	}); 
	$('[name="fecha2"]').on('change', function(){
		if ($('[name="fecha2"]').val() !== '' ) {
			$('#frmComprobante').form('remove prompt', ['fecha2']);
		}
	}); 

	$('.btn_reporte_comprobantes').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			
			var data = $('#frmComprobante').serialize();
			var option= $("option:selected", '[name="tipo_comprobante"]').val();

			if ( option == "1" || option == "2" || option == "3" || option == "4") {
				
        		window.open(APP_URL+'/../pdf/reporteComprobantes.php?'+data, '_blank');
			}

        	else if (option == "5") {
				window.open(APP_URL+'/../pdf/reporteBajas.php?'+data, '_blank');
        	}

        	else if (option == "6") {
        		window.open(APP_URL+'/../pdf/reporteGuias.php?'+data, '_blank');
        	}

        	else if (option == "7" || option == "8" || option == "9" || option == "10") {
        		window.open(APP_URL+'/../pdf/reporteContingencias.php?'+data, '_blank');
        	}

        	else {
        		console.log("No hay otros tipos de comprobantes para mostar");
        	}
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

	$('.btn_reporte_ventas').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reporteVentas.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

	$('.btn_reporte_compras').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reporteCompras.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});
	
	$('.btn_reporte_usuarios').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();

			if ( $("#tipo_transaccion").val() == "VENTA" ) {
				window.open(APP_URL+'/../pdf/reporteUsuarios.php?'+data, '_blank');
			}
			else{
				window.open(APP_URL+'/../pdf/reporteUsuariosPedido.php?'+data, '_blank');
			}
        	
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

  	$('.btn_reporte_productos_vendidos').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();

			if ($('[name="tipo"]').val() == 'VENTAS') {
				window.open(APP_URL+'/../pdf/reporteProductosVendidos.php?'+data, '_blank');
			}
			if ($('[name="tipo"]').val()  == 'PEDIDOS') {
				window.open(APP_URL+'/../pdf/reporteProductosPedidos.php?'+data, '_blank');
			}
        	
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

  	$('.btn_reporte_productos_comprados').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reporteProductosComprados.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});


  	$('.btn_reporte_productos_vencidos').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reporteProductosVencidos.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});


  	$('.btn_reporte_stock').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reporteStock.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

  	$('.btn_reporte_egresos').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reporteEgresos.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

  	$('.btn_reporte_guia').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reporteGuias.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

  	$('.btn_reporte_baja').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reporteBajas.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

  	$('.btn_reporte_pedidos').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reportePedidos.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

  	$('.btn_reporte_kardex').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reporteKardex.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

  	$('.btn_reporte_deudores').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reporteDeudores.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

  	$('.btn_reporte_impuesto').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reporteTipoImpuesto.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});


  	$('.btn_reporte_delivery').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reporteDelivery.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

  	$('.btn_reporte_producto_personal').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	window.open(APP_URL+'/../pdf/reporteProductoPersonal.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

  	$('.btn_reporte_producto_historial').on('click', function() {
		if ($('#frmComprobante').form('is valid')) {
			
			var data = $('#frmComprobante').serialize();
        	
			window.open(APP_URL+'/../pdf/reporteHistorialProducto.php?'+data, '_blank');
		
		} else {
			$('#frmComprobante').form('validate form');
		}
  	});

  	/******************************************************************************/
	/* START: buscar producto
	/******************************************************************************/
	$('[name="id_producto"]').dropdown({
        placeholder: 'Ingrese nombre de producto a buscar',
        direction: 'downward',
        forceSelection : false,
        fields: {
        	remoteValues: 'productos',
        	name: "nombre",
        	value: "id_producto"
        },
     	apiSettings: {
	        method: 'get',
	        cache: false,
	        url: APP_URL + '/xml/productos/{query}',
	    },
	});
	/******************************************************************************/
	/* END: buscar producto
	/******************************************************************************/



  	

});